datacache <- new.env(hash=TRUE, parent=emptyenv())

hgu95ehsug <- function() showQCData("hgu95ehsug", datacache)
hgu95ehsug_dbconn <- function() dbconn(datacache)
hgu95ehsug_dbfile <- function() dbfile(datacache)
hgu95ehsug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hgu95ehsug_dbInfo <- function() dbInfo(datacache)

hgu95ehsugORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hgu95ehsug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hgu95ehsug", "chip hgu95ehsug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hgu95ehsug_dbconn())
}

